# NodeSocketIntFactor(NodeSocketStandard)

base classes — `bpy_struct`, `NodeSocket`, `NodeSocketStandard`

class `bpy.types.``NodeSocketIntFactor`(NodeSocketStandard)

  Integer number socket of a node

  `default_value`

    Input value used for unconnected socket

    Type: | int in [0, inf], default 1

  `links`

    List of node links from or to this socket (readonly)

Inherited Properties

`bpy_struct.id_data` `NodeSocket.name` `NodeSocket.identifier` `NodeSocket.is_output` `NodeSocket.hide` `NodeSocket.enabled` `NodeSocket.link_limit` `NodeSocket.is_linked` `NodeSocket.show_expanded` | `NodeSocket.hide_value` `NodeSocket.node` `NodeSocket.type` `NodeSocket.bl_idname` `NodeSocket.links` `NodeSocket.links` `NodeSocketStandard.links` `NodeSocketStandard.links`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` | `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `NodeSocket.draw` `NodeSocket.draw_color` `NodeSocketStandard.draw` `NodeSocketStandard.draw_color`